package com.ruoyi.mesInfo.mapper;

import java.util.List;
import com.ruoyi.mesInfo.domain.MesInfo;
import org.apache.ibatis.annotations.Mapper;

/**
 * mes装机信息卡Mapper接口
 * 
 * @author yanxun
 * @date 2023-08-10
 */
@Mapper
public interface MesInfoMapper 
{
    /**
     * 查询mes装机信息卡
     * 
     * @param keyId mes装机信息卡主键
     * @return mes装机信息卡
     */
    public MesInfo selectMesInfoByKeyId(Long keyId);

    /**
     * 查询mes装机信息卡列表
     * 
     * @param mesInfo mes装机信息卡
     * @return mes装机信息卡集合
     */
    public List<MesInfo> selectMesInfoList(MesInfo mesInfo);

    /**
     * 新增mes装机信息卡
     * 
     * @param mesInfo mes装机信息卡
     * @return 结果
     */
    public int insertMesInfo(MesInfo mesInfo);

    /**
     * 修改mes装机信息卡
     * 
     * @param mesInfo mes装机信息卡
     * @return 结果
     */
    public int updateMesInfo(MesInfo mesInfo);

    /**
     * 删除mes装机信息卡
     * 
     * @param keyId mes装机信息卡主键
     * @return 结果
     */
    public int deleteMesInfoByKeyId(Long keyId);

    /**
     * 批量删除mes装机信息卡
     * 
     * @param keyIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMesInfoByKeyIds(Long[] keyIds);

    /**
     * 获取上次处理的装机信息卡最后一条数据的位置
     *
     * @return 结果
     */
    Long selectCheckPoint();

    /**
     * 获取当前装机信息卡最大的主键
     * @return 结果
     */
    Long getMesInfoMaxKeyId();

}
